Summary:	A free Lemmings clone
Name:		pingus
Version:	0.7.6
Release:	%mkrel 25
License:	GPLv2+
Group:		Games/Arcade
URL:		https://pingus.seul.org
Source0:	https://github.com/Pingus/downloads/blob/master/%{name}-%{version}.tar.bz2
Source11:	%{name}.16.png
Source12:	%{name}.32.png
Source13:	%{name}.48.png
Patch0:		pingus-0.7.6-gcc.patch
Patch1:		pingus-0.7.6-missing-header.patch
Patch2:		pingus-0.7.6-scons3.patch
Patch3:		pingus-0.7.6-boost-169.patch
BuildRequires:	scons
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	pkgconfig(SDL_image)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(physfs)
BuildRequires:	pkgconfig(cwiid)

%description
Pingus is a free Lemmings clone covered under the GPLv2. Pingus uses SDL,
which should make it portable over a lot of operating systems in the future.
At the moment the main target is Linux. It is possible to play Pingus in a
X window or in fullscreen.

%prep
%setup -q
%autopatch -p1

# fix manpage "6" path
sed -i -e 's|/man1/|/man6/|' Makefile

%build
%scons \
	CCFLAGS="%{optflags}" \
	prefix=%{_prefix} \
	execprefix=%{_gamesbindir} \
	datadir=%{_gamesdatadir}

%install
%make_install \
  DATADIR=%{_gamesdatadir}/%{name} \
  MANDIR=%{_mandir} \
  BINDIR=%{_gamesbindir}

install -m 755 -d %{buildroot}%{_datadir}/applications/

# workaround the fact this file contains bad stuff
cat > %{buildroot}%{_gamesbindir}/%{name} << EOF
#!/bin/sh
%{_gamesbindir}/%{name}.bin --datadir %{_gamesdatadir}/%{name}
EOF

cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Pingus
Comment=A free Lemmings clone
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;ArcadeGame;
EOF

install -m644 %{SOURCE11} -D %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

rm -f %{buildroot}%{_datadir}/locale/locale.alias

%files
%doc AUTHORS COPYING README* TODO
%{_gamesbindir}/%{name}
%{_gamesbindir}/%{name}.bin
%{_gamesdatadir}/%{name}
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man6/pingus.6.*


%changelog
* Wed Dec 07 2022 umeabot <umeabot> 0.7.6-25.mga9
+ Revision: 1918806
- Mageia 9 Mass Rebuild
+ danf <danf>
- Updated URLs

* Thu Feb 20 2020 umeabot <umeabot> 0.7.6-24.mga8
+ Revision: 1545089
- Mageia 8 Mass Rebuild

* Mon Jan 27 2020 daviddavid <daviddavid> 0.7.6-23.mga8
+ Revision: 1483753
- add fedora patch to fix build with boost >= 1.69
+ wally <wally>
- rebuild for boost 1.72.0

* Tue Oct 16 2018 wally <wally> 0.7.6-22.mga7
+ Revision: 1321079
- rebuild for new boost 1.68.0

* Sun Sep 23 2018 umeabot <umeabot> 0.7.6-21.mga7
+ Revision: 1300283
- Mageia 7 Mass Rebuild

* Mon Dec 25 2017 wally <wally> 0.7.6-20.mga7
+ Revision: 1184763
- rebuild for new boost

* Tue Nov 21 2017 tv <tv> 0.7.6-19.mga7
+ Revision: 1178549
- rebuild for boost 1.65

* Mon Oct 02 2017 daviddavid <daviddavid> 0.7.6-18.mga7
+ Revision: 1162452
- patch2: fix build with scons 3.0

* Sat Sep 16 2017 daviddavid <daviddavid> 0.7.6-17.mga7
+ Revision: 1154736
- add patch to fix build with gcc6+
- fix manpage "6" path
- fix Comment key from desktop file
+ tv <tv>
- rebuild with latest boost

* Sat Dec 26 2015 daviddavid <daviddavid> 0.7.6-16.mga6
+ Revision: 915471
- rebuild for new boost 1.60.0

* Sat Sep 26 2015 daviddavid <daviddavid> 0.7.6-15.mga6
+ Revision: 883888
- rebuild for new boost 1.59.0

* Sun Aug 02 2015 daviddavid <daviddavid> 0.7.6-14.mga6
+ Revision: 860592
- rebuild for new boost-1.58.0

* Wed Oct 15 2014 umeabot <umeabot> 0.7.6-13.mga5
+ Revision: 748930
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.6-12.mga5
+ Revision: 687599
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 barjac <barjac> 0.7.6-11.mga5
+ Revision: 586741
- rebuild against boost-1.55

* Sat Oct 19 2013 umeabot <umeabot> 0.7.6-10.mga4
+ Revision: 529582
- Mageia 4 Mass Rebuild

* Wed Jul 10 2013 fwang <fwang> 0.7.6-9.mga4
+ Revision: 452478
- rebuild for new boost

* Mon Jul 08 2013 fwang <fwang> 0.7.6-8.mga4
+ Revision: 451261
- rebuild for new boost

* Mon Jun 03 2013 fwang <fwang> 0.7.6-7.mga4
+ Revision: 436038
- rebuild for new libpng

* Thu Apr 11 2013 barjac <barjac> 0.7.6-6.mga3
+ Revision: 409662
- rebuild for boost-1.53

* Sun Jan 13 2013 umeabot <umeabot> 0.7.6-5.mga3
+ Revision: 377745
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 fwang <fwang> 0.7.6-4.mga3
+ Revision: 333058
- rebuild for new boost

* Wed Aug 01 2012 fwang <fwang> 0.7.6-3.mga3
+ Revision: 276896
- fix build with latest gcc
- rebuild for new boost

* Wed May 30 2012 fwang <fwang> 0.7.6-2.mga3
+ Revision: 250110
- rebuild for new boost

* Fri Dec 30 2011 supp <supp> 0.7.6-1.mga2
+ Revision: 188999
- update to 0.7.6

* Wed Dec 28 2011 wally <wally> 0.7.5-3.mga2
+ Revision: 188426
- drop unneeded guile BR

* Mon Nov 28 2011 fwang <fwang> 0.7.5-2.mga2
+ Revision: 173615
- rebuild for new boost

* Mon Oct 31 2011 zezinho <zezinho> 0.7.5-1.mga2
+ Revision: 160489
- new version

* Fri Oct 21 2011 zezinho <zezinho> 0.7.4-2.mga2
+ Revision: 157220
- fix start script
+ dmorgan <dmorgan>
- Remove unneeded rpms stuffs

* Thu Oct 20 2011 zezinho <zezinho> 0.7.4-1.mga2
+ Revision: 157035
- remove patches corrected upstream
- fix source url
- new version

* Mon Sep 19 2011 fwang <fwang> 0.7.3-9.mga2
+ Revision: 145368
- fix build with libpng 1.5
- rebuild for new boost

* Wed Jun 22 2011 fwang <fwang> 0.7.3-7.mga2
+ Revision: 112032
- use mt flavour of boost
- rebuild for new boost

* Tue Apr 26 2011 wally <wally> 0.7.3-6.mga1
+ Revision: 91814
- use _real_vendor macro in desktop file name
+ supp <supp>
- fix desktop file (mga#954)
- remove buildroot definition

* Wed Apr 13 2011 nanardon <nanardon> 0.7.3-4.mga1
+ Revision: 84139
- increase release to obsolete mdv version

* Wed Mar 30 2011 supp <supp> 0.7.3-1.mga1
+ Revision: 79068
- remove obsolete cruft...
-m drop obsolete patch, submit
+ steletch <steletch>
- imported package pingus


* Sun Aug 29 2010 Funda Wang <fwang@mandriva.org> 0.7.3-3mdv2011.0
+ Revision: 574093
- rebuild

* Thu Aug 05 2010 Funda Wang <fwang@mandriva.org> 0.7.3-2mdv2011.0
+ Revision: 566295
- rebuild for new boost

* Thu Jul 29 2010 Zombie Ryushu <ryushu@mandriva.org> 0.7.3-1mdv2011.0
+ Revision: 562909
- Upgrade to 0.7.3
- Upgrade to 0.7.3

* Tue Jun 29 2010 Pascal Terjan <pterjan@mandriva.org> 0.7.2-8mdv2010.1
+ Revision: 549480
- Add BuildRequires guile (#53526)

* Mon Feb 08 2010 Anssi Hannula <anssi@mandriva.org> 0.7.2-7mdv2010.1
+ Revision: 501882
- rebuild for new boost

* Wed Feb 03 2010 Funda Wang <fwang@mandriva.org> 0.7.2-6mdv2010.1
+ Revision: 500309
- rebuild for new boost

* Tue Jan 05 2010 Thierry Vignaud <tv@mandriva.org> 0.7.2-5mdv2010.1
+ Revision: 486394
- rebuild with latest spec-helper which add package require instead of file
  require due to scripts using guile (#55407)

* Fri Aug 21 2009 Funda Wang <fwang@mandriva.org> 0.7.2-4mdv2010.0
+ Revision: 418846
- sync with fedora gcc44 patch

* Mon Mar 09 2009 Emmanuel Andry <eandry@mandriva.org> 0.7.2-3mdv2009.1
+ Revision: 353225
- add wiimote support

* Sun Dec 21 2008 Funda Wang <fwang@mandriva.org> 0.7.2-2mdv2009.1
+ Revision: 316922
- rebuild for new boost

* Tue Sep 02 2008 Emmanuel Andry <eandry@mandriva.org> 0.7.2-1mdv2009.0
+ Revision: 279350
- add gcc43 patch

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Nov 04 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.7.2-1mdv2008.1
+ Revision: 105757
- spec file clean
- move icons to the fd.o icons directory
- add scriplets
- compile with support for wiimote
- drop patch 2
- compile with optflags
- drop X-MandrivaLinux away from desktop file
- new version
- new license policy

* Fri Oct 26 2007 Crispin Boylan <crisb@mandriva.org> 0.7.1-2mdv2008.1
+ Revision: 102297
- Update description, update and reenable patch1

* Thu Oct 25 2007 Crispin Boylan <crisb@mandriva.org> 0.7.1-1mdv2008.1
+ Revision: 102209
- Add patch2 for new boost lib name
- New version

  + Thierry Vignaud <tv@mandriva.org>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Tue Aug 28 2007 Crispin Boylan <crisb@mandriva.org> 0.7.0-1mdv2008.0
+ Revision: 72333
- New version, does not depend on clanlib anymore


* Sat Jan 06 2007 Götz Waschk <waschk@mandriva.org> 0.6.0-9mdv2007.0mdv2007.0
+ Revision: 104768
- Import pingus

* Sat Jan 06 2007 Götz Waschk <waschk@mandriva.org> 0.6.0-9mdv2007.1mdv2007.1
- unpack patches
- xdg menu

* Mon Jan 16 2006 Olivier Blin <oblin@mandriva.com> 0.6.0-9mdk
- buildrequires correct clanlib version

* Wed Dec 21 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.6.0-8mdk
- from Colin Guthrie <mdk@colin.guthr.ie> :
	o fix build with gcc4 (P2)
	o remove locale.alias which breaks build

* Wed Sep 01 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.6.0-7mdk
- rebuild for new menu
- fix buildrequires (lib64..)

* Tue Jun 29 2004 Michael Scherer <misc@mandrake.org> 0.6.0-6mdk
- rebuild for new gcc and new clanlib, with the help of Laurent Montel <lmontel@mandrakesoft.com>
- remove Packager tag

